/**************************************************************************
	led.c

   Z-World, 2001
	This sample program is used with 122x32 display and 1x7 keypad module
	with LED's.
	
	This program demonstrates how to toggle the LED's on the 
	controller.
	
	The program will toggle the following LED's:

	LED#	 Silkscreen Label
   ----	 -----------------
	 0  	 	LED DS1
	 1  		LED DS2
	 2  	 	LED DS3
	 3  		LED DS4
	 4  	 	LED DS5
	 5  	 	LED DS6
	 6  		LED DS7

**************************************************************************/

#define LEDOFF 0  //Value used to turn the LED OFF
#define LEDON	1	//Value used to turn the LED ON

///////////////////////////////////////////////////////////////////////////
main()
{
	auto unsigned int i;	 	// variable for the loop counter
	auto unsigned int led; 	// variable used to cycle thru all the LED's
	
	
	brdInit();	//required 

	for(;;)	// begin an endless loop
	{  
		for(led = 0; led <= 6; led++)
		{
			//Turn-on the LED indicated by the led variable
			ledOut(led, LEDON);
			for(i=0; i<20000; i++); // time delay loop

			//Turn-off the LED indicated by the led variable
			ledOut(led, LEDOFF);
			for(i=0; i<20000; i++); // time delay loop
		}
	}	
} 
///////////////////////////////////////////////////////////////////////////